<!DOCTYPE html>
<html lang="en">

<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Quản lý đơn hàng</title>

	<!-- Google Font: Source Sans Pro -->
	<link rel="stylesheet"
		href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
	<!-- Font Awesome -->
	<link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
	<!-- Theme style -->
	<link rel="stylesheet" href="dist/css/adminlte.min.css">
	<!-- daterange picker -->
	<link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
	<!-- Select2 -->
	<link rel="stylesheet" href="plugins/select2/css/select2.min.css">
	<link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
	<link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
	<div class="wrapper">
		<!-- Navbar -->
		<nav class="main-header navbar navbar-expand navbar-white navbar-light">
			<ul class="navbar-nav">
				<li class="nav-item">
					<a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
				</li>
				<li class="nav-item d-none d-sm-inline-block">
					<a href="#" class="nav-link">Quản lý đơn hàng</a>
				</li>
			</ul>

			<!-- Right navbar links -->
			<ul class="navbar-nav ml-auto">
				<li class="nav-item">
					<a class="nav-link" data-widget="fullscreen" href="#" role="button">
						<i class="fas fa-expand-arrows-alt"></i>
					</a>
				</li>
			</ul>
		</nav>
		<!-- /.navbar -->
		<!-- Main Sidebar Container -->
		<aside class="main-sidebar sidebar-dark-primary elevation-4">
			<!-- Brand Logo -->
			<a href="#" class="brand-link">
				<span class="brand-text font-weight-light">Devcamp</span>
			</a>

			<!-- Sidebar -->
			<div class="sidebar">

				<!-- Sidebar Menu -->
				<nav class="mt-2">
					<ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
						<!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
						<li class="nav-item">
							<a href="#" class="nav-link">
								<i class="nav-icon fas fa-tachometer-alt"></i>
								<p>
									Ui Element
									<i class="right fas fa-angle-left"></i>
								</p>
							</a>
							<ul class="nav nav-treeview">
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Chart JS</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Select2</p>
									</a>
								</li>
								<li class="nav-item">
									<a href="#" class="nav-link">
										<i class="far fa-circle nav-icon"></i>
										<p>Date ranger picker</p>
									</a>
								</li>
							</ul>
						</li>
						<li class="nav-item">
							<a href="index.html" class="nav-link active">
								<i class="nav-icon fas fa-th"></i>
								<p>
									Quản lý đơn hàng
								</p>
							</a>
						</li>
					</ul>
				</nav>
				<!-- /.sidebar-menu -->
			</div>
			<!-- /.sidebar -->
		</aside>
		<!-- Content Wrapper. Contains page content -->
		<div class="content-wrapper">
			<!-- Content Header (Page header) -->
			<div class="content-header">
				<div class="container-fluid">
					<div class="row mb-2">
						<div class="col-sm-6">
							<h1 class="m-0">Quản lý đơn hàng</h1>
						</div><!-- /.col -->
						<div class="col-sm-6">
							<ol class="breadcrumb float-sm-right">
								<li class="breadcrumb-item"><a href="#">Home</a></li>
								<li class="breadcrumb-item active">Quản lý đơn hàng</li>
							</ol>
						</div><!-- /.col -->
					</div><!-- /.row -->
				</div><!-- /.container-fluid -->
			</div>
			<!-- /.content-header -->
			<!-- Main content -->
			<section class="content">
				<div class="container-fluid">
					<div class="jumbotron container">
						<div class="row form-group">
							<label class="col-sm-2 col-form-label" for="firstNameInput">Trạng thái Order</label>
							<div class="col-sm-3">
								<select name="order-status" class="form-control select2" id="order-status">
									<option value="all">All</option>
								</select>
							</div>
							<label class="col-sm-2 col-form-label" for="lastNameInput">Loại pizza</label>
							<div class="col-sm-3">
								<select name="pizza-type" class="form-control select2" id="pizza-type">
									<option value="all">All</option>
								</select>
							</div>
							<div class="col-sm-2">
								<button class="btn btn-success" id="btn-filter">Filter orders</button>
							</div>
						</div>
					</div>
					<div class="container">
						<button class="btn btn-success btn-lg form-group" id="btn-new-order">+Thêm đơn hàng</button>
					</div>
					<table class="table table-bordered table-striped table-hover" id="order-table">
						<thead>
							<tr>
								<th>Order ID</th>
								<th>Kích cỡ combo</th>
								<th>Loại pizza</th>
								<th>Nước uống</th>
								<th>Thành tiền</th>
								<th>Họ và tên</th>
								<th>Số điện thoại</th>
								<th>Trạng thái</th>
								<th>Chi tiết</th>
							</tr>
					</table>
				</div><!-- /.container-fluid -->
				<!-- Modal section
						 Delete 1 order -->
				<div class="modal fade" tabindex="-1" id="delete-confirm-modal">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title" id="h5-modal-title">Order Delete Confirmation</h5>
								<button class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body">
								<label>Bạn có chắc chắn muốn xóa order này không?</label>
							</div>
							<div class="modal-footer">
								<button class="btn btn-danger" id="btn-confirm-delete-order">Confirm</button>
								<button class="btn btn-secondary" data-dismiss="modal">Cancel</button>
							</div>
						</div>
					</div>
				</div>
				<!-- Modal section
						 Add new order -->
				<div id="new-order-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">New Order</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body" id="new-order-modal-body">
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Kích cỡ pizza</label>
									</div>
									<div class="col-sm-8">
										<select name="size" class="form-control" id="create-size">
											<option value="none">Chọn 1 pizza size</option>
											<option value="S">S</option>
											<option value="M">M</option>
											<option value="L">L</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Đường kính</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" readonly type="text" name="create-duongKinh" id="create-duongKinh">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Sườn</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" readonly type="text" name="create-suon" id="create-suon">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Salad</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" readonly name="create-salad" id="create-salad">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Số lượng nước</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" readonly name="create-soLuongNuoc" id="create-soLuongNuoc">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Thành tiền</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" readonly name="create-thanhTien" id="create-thanhTien">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Loại pizza</label>
									</div>
									<div class="col-sm-8">
										<select name="size" class="form-control" id="create-type">
											<option value="none">Chọn 1 pizza type</option>
											<option value="Seafood">Hải sản</option>
											<option value="Hawaii">Hawaii</option>
											<option value="Bacon">Thịt hun khói</option>
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">ID voucher</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="number" name="create-voucher" id="create-voucher">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Loại nước uống</label>
									</div>
									<div class="col-sm-8">
										<select name="size" class="form-control" id="create-drink">
										</select>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Họ tên</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="create-fullname" id="create-fullname">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Email</label>
									</div>
									<div class="col-sm-8">
										<input required list="defaultEmails" class="form-control" type="email" name="create-email"
											id="create-email">
										<datalist id="defaultEmails">
											<option value="example@gmail.com">
											<option value="example@hotmail.com">
										</datalist>
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Số điện thoại</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="number" name="create-phone" id="create-phone">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Địa chỉ</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="create-diaChi" id="create-diaChi">
									</div>
								</div>
								<div class="row form-group">
									<div class="col-sm-4">
										<label for="size">Lời nhắn</label>
									</div>
									<div class="col-sm-8">
										<input class="form-control" type="text" name="create-loiNhan" id="create-loiNhan">
									</div>
								</div>
							</div>
							<div class="modal-footer">
								<div class="col-sm-12 text-center">
									<button id="btn-modal-create-order" class="btn btn-success">Create order</button>
									<button id="btn-modal-cancel-create-order" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- 
					Modal section
					Order Detail 
				-->
				<div id="order-detail-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Order Detail!!!</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body" id="order-detail-modal-body">
								<!-- Dùng jquery vòng lặp loop để render khúc này -->
								<select name="" id=""></select>
							</div>
							<div class="modal-footer">
								<div class="col-sm-12 text-center">
									<button id="btn-modal-confirm-order" class="btn btn-success">Confirm</button>
									<button id="btn-modal-cancel-order" class="btn btn-danger" data-dismiss="modal">Cancel</button>
								</div>
							</div>
						</div>
					</div>
				</div>
				<!-- Modal thông tin đơn hàng  -->
				<div id="order-action-success-modal" class="modal fade" tabindex="-1">
					<div class="modal-dialog">
						<div class="modal-content">
							<div class="modal-header">
								<h5 class="modal-title">Thông báo</h5>
								<button type="button" class="close" data-dismiss="modal">&times;</button>
							</div>
							<div class="modal-body" id="order-action-success-modal">
								<input class="form-control" readonly type="text" id="order-action-success-text">
							</div>
						</div>
					</div>
				</div>
			</section>
			<!-- /.content -->
		</div>
		<!-- /.content-wrapper -->
		<footer class="main-footer">
			<strong>Copyright &copy; 2014-2022 Devcamp.</strong>
			All rights reserved.
			<div class="float-right d-none d-sm-inline-block">
				<b>Version</b> 1.0.0
			</div>
		</footer>
	</div>
	<!-- jQuery -->
	<script src="plugins/jquery/jquery.min.js"></script>
	<!-- Bootstrap 4 -->
	<script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
	<!-- Select2 -->
	<script src="plugins/select2/js/select2.full.min.js"></script>
	<!-- InputMask -->
	<script src="plugins/moment/moment.min.js"></script>
	<script src="plugins/inputmask/jquery.inputmask.min.js"></script>
	<!-- date-range-picker -->
	<script src="plugins/daterangepicker/daterangepicker.js"></script>
	<!-- Tempusdominus Bootstrap 4 -->
	<script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
	<!-- DataTable -->
	<script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
	<script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

	<!-- AdminLTE App -->
	<script src="dist/js/adminlte.js"></script>
	<script src="order_manage_script.js"></script>
	<script>
		//Initialize Select2 Elements
		$('.select2').select2({
			theme: 'bootstrap4'
		})

		$("#update-grade-student").select2({
			theme: 'bootstrap4',
			dropdownParent: $("#modal-student-detail") //Để sử dụng dc phần search option trong modal
		})

		//Date picker
		$('#reservationdate').datetimepicker({
			format: 'L'
		});
		$('#reservationdate2').datetimepicker({
			format: 'L',
			dropdownParent: $("#modal-student-detail")
		});

	</script>
</body>

</html>